## com.baidubce.services.media.model
Class Clip

    java.lang.Object
      com.baidubce.services.media.model.Clip

    public class Clip

extends Object

Constructor Summary
`Clip()`

Method Summary
`Integer` `getDurationInSecond()` 片段的持续时间
`Integer` `getStartTimeInSecond()` 片段的起始时间
`void` `setDurationInSecond(Integer durationInSecond)`
`void` `setStartTimeInSecond(Integer startTimeInSecond)`
`String` `toString()`
`Clip` `withDurationInSecond(Integer durationInSecond)`
`Clip` `withStartTimeInSecond(Integer startTimeInSecond)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Clip

    public Clip()

Method Detail

### getStartTimeInSecond

    public Integer getStartTimeInSecond()

  片段的起始时间

### setStartTimeInSecond

    public void setStartTimeInSecond(Integer startTimeInSecond)

### withStartTimeInSecond

    public Clip withStartTimeInSecond(Integer startTimeInSecond)

### getDurationInSecond

    public Integer getDurationInSecond()

  片段的持续时间

### setDurationInSecond

    public void setDurationInSecond(Integer durationInSecond)

### withDurationInSecond

    public Clip withDurationInSecond(Integer durationInSecond)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.